Bug#956253: mu-editor: Update to 1.1.0 alpha 2 or newer

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#956253: mu-editor: Update to 1.1.0 alpha 2 or newer

Ryan Pavlik-3
Package: mu-editor
Version: 1.1.0~alpha2+dfsg-0.1
Severity: wishlist
Tags: patch

Dear Maintainer,

It would be good to get the alpha version of mu-editor in Debian, since the existing version
has some issues in my experience accessing (at least newer) Adafruit devices with
CircuitPython (blank REPL, etc).

I've forked the repo on Salsa and tried my hand at updating the package:

https://salsa.debian.org/rpavlik-guest/mu-editor

(just to the alpha2 level that uscan found)

I can build it locally (on Buster) and on salsa-ci (on unstable?) but when building in a buster cowbuilder,
I'm getting a strange error (see log below).
Not sure if this is a blocking issue, but this is the first package I've had this problem with.
Once this issue gets resolved I think the package on my fork would be ready to upload.
(You may take it and modify it, or alternately sponsor it, as I do not have upload capability)

Thanks,
Ryan

Log:


   debian/rules override_dh_auto_test
make[1]: Entering directory '/build/mu-editor-1.1.0~alpha2+dfsg'
xvfb-run -a dh_auto_test
        pybuild --test -i python{version} -p 3.7
D: pybuild pybuild:545: version: 3.20190308
D: pybuild pybuild:546: ['/usr/bin/pybuild', '--test', '-i', 'python{version}', '-p', '3.7']
D: pybuild pybuild:36: cfg: Namespace(after_build=None, after_clean=None, after_configure=None, after_install=None, after_test=None, before_build=None, before_clean=None, before_configure=None, before_install=None, before_test=None, build_args=None, build_only=False, clean_args=None, clean_only=False, configure_args=None, configure_only=False, custom_tests=True, destdir='debian/tmp', detect_only=False, dir='/build/mu-editor-1.1.0~alpha2+dfsg', disable=None, ext_destdir=None, ext_pattern='\\.so(\\.[^/]*)?$', ext_sub_pattern=None, ext_sub_repl=None, install_args=None, install_dir=None, install_only=False, interpreter=['python{version}'], list_systems=False, name='mu-editor', print_args=None, quiet=False, really_quiet=False, system=None, test_args=None, test_nose=False, test_only=True, test_pytest=True, test_tox=False, verbose=True, versions=['3.7'])
D: pybuild __init__:36: cannot initialize 'cmake' plugin
Traceback (most recent call last):
  File "/usr/share/dh-python/dhpython/build/__init__.py", line 32, in <module>
    module.BuildSystem.is_usable()
  File "/usr/share/dh-python/dhpython/build/base.py", line 120, in is_usable
    raise Exception("missing command: %s" % command)
Exception: missing command: cmake
D: pybuild tools:232: invoking: /usr/bin/dpkg-architecture
D: pybuild pybuild:129: detected build system: distutils (certainty: 60%)
I: pybuild pybuild:272: mkdir -p /build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build/mu/resources/fonts; cp /usr/share/fonts/truetype/inconsolata/Inconsolata.otf /build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build/mu/resources/fonts/Inconsolata.otf
D: pybuild tools:232: invoking: mkdir -p /build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build/mu/resources/fonts; cp /usr/share/fonts/truetype/inconsolata/Inconsolata.otf /build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build/mu/resources/fonts/Inconsolata.otf
I: pybuild base:217: cd '/build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build'; python3.7 -m pytest --random-order
D: pybuild tools:232: invoking: cd '/build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build'; python3.7 -m pytest --random-order
============================= test session starts ==============================
platform linux -- Python 3.7.3, pytest-3.10.1, py-1.7.0, pluggy-0.8.0
Using --random-order-bucket=module
Using --random-order-seed=926224

rootdir: /build/mu-editor-1.1.0~alpha2+dfsg, inifile:
plugins: xvfb-1.0.0, random-order-1.0.4
Aborted
E: pybuild pybuild:341: test: plugin distutils failed with: exit code=134: cd '/build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build'; python3.7 -m pytest --random-order
Traceback (most recent call last):
  File "/usr/bin/pybuild", line 338, in main
    run(func, i, version, c)
  File "/usr/bin/pybuild", line 289, in run
    result = func(context, args)
  File "/usr/share/dh-python/dhpython/build/base.py", line 267, in wrapped_func
    raise Exception(msg)
Exception: exit code=134: cd '/build/mu-editor-1.1.0~alpha2+dfsg/.pybuild/cpython3_3.7_mu-editor/build'; python3.7 -m pytest --random-order
dh_auto_test: pybuild --test -i python{version} -p 3.7 returned exit code 13
make[1]: *** [debian/rules:42: override_dh_auto_test] Error 25
make[1]: Leaving directory '/build/mu-editor-1.1.0~alpha2+dfsg'
make: *** [debian/rules:25: binary] Error 2
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2





-- System Information:
Debian Release: 10.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-debug'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.4.0-0.bpo.4-amd64 (SMP w/16 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8), LANGUAGE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages mu-editor depends on:
ii  black                                     18.9b0-1-6
ii  fonts-inconsolata                         001.010-5
ii  node-normalize.css [libjs-normalize.css]  8.0.1-3
ii  python3                                   3.7.3-1
ii  python3-appdirs                           1.4.3-1
ii  python3-flask                             1.0.2-3
ii  python3-guizero                           0.6.0+dfsg1-1
ii  python3-nudatus                           0.0.4-1
ii  python3-pgzero                            1.2.post4+dfsg-1
ii  python3-pycodestyle                       2.4.0-2
ii  python3-pyflakes                          2.0.0-1
ii  python3-pyqt5                             5.11.3+dfsg-1+b3
ii  python3-pyqt5.qsci                        2.10.4+dfsg-2.1
ii  python3-pyqt5.qtchart                     5.11.3+dfsg-1
ii  python3-pyqt5.qtserialport                5.11.3+dfsg-1+b3
ii  python3-qtconsole                         4.3.1-1
ii  python3-semver                            2.0.1-3
ii  python3-serial                            3.4-4
ii  python3-uflash                            1.2.4+dfsg-1

mu-editor recommends no packages.

Versions of packages mu-editor suggests:
ii  mu-editor-doc     1.1.0~alpha2+dfsg-0.1
pn  python3-gpiozero  <none>
pn  python3-pigpio    <none>

-- no debconf information